import { UmbHeaderAppButtonElement } from '../components/index.js';
export declare class UmbSearchHeaderAppElement extends UmbHeaderAppButtonElement {
    #private;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbSearchHeaderAppElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-search-header-app': UmbSearchHeaderAppElement;
    }
}
